Library Version 18.1.40

DbEnv::get_flags()
Prev | Chapter 5. The DbEnv Handle | Next

## DbEnv::get_flags()

    #include <db_cxx.h>

    int
    DbEnv::get_flags(u_int32_t *flagsp)

The `DbEnv::get_flags()` method returns the configuration flags set for a DbEnv handle. These flags are set using the DbEnv::set_flags() method.

The `DbEnv::get_flags()` method may be called at any time during the life of the application.

The `DbEnv::get_flags()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### flagsp

The `DbEnv::get_flags()` method returns the configuration flags in flagsp.

### Class

DbEnv

### See Also

Database Environments and Related Methods

Prev | Up | Next
DbEnv::get_backup_config() | Home | DbEnv::get_home()